// Copyright (c) 2010-2020 Contributors to the openHAB project
//
// See the NOTICE file(s) distributed with this work for additional
// information.
//
// This program and the accompanying materials are made available under the
// terms of the Eclipse Public License 2.0 which is available at
// http://www.eclipse.org/legal/epl-2.0
//
// SPDX-License-Identifier: EPL-2.0

import Foundation
// swiftlint:disable line_length

let singleWidgetXML = """
<widget>
    <widgetId>0000_0_0</widgetId>
    <type>Switch</type>
    <label>All Lights [(0)]</label>
    <icon>switch-off</icon>
    <item>
        <type>GroupItem</type>
        <name>Lights</name>
        <state>OFF</state>
        <link>http://10.77.12.33:8080/rest/items/Lights</link>
    </item>
</widget>
""".data(using: .utf8)

let nestedWidgetXML = """
<widget>
    <widgetId>0000_0</widgetId>
    <type>Frame</type>
    <label>Groups</label>
    <icon>frame</icon>
    <widget>
        <widgetId>0000_0_0</widgetId>
        <type>Switch</type>
        <label>All Lights [(0)]</label>
        <icon>switch-off</icon>
        <item>
            <type>GroupItem</type>
            <name>Lights</name>
            <state>OFF</state>
            <link>http://10.77.12.33:8080/rest/items/Lights</link>
        </item>
    </widget>
    <widget>
        <widgetId>0000_0_0_1</widgetId>
        <type>Switch</type>
        <label>Living and Kitchen [(0)]</label>
        <icon>switch-off</icon>
        <item>
            <type>GroupItem</type>
            <name>LivKitchen</name>
            <state>OFF</state>
            <link>http://10.77.12.33:8080/rest/items/LivKitchen</link>
        </item>
    </widget>
</widget>
""".data(using: .utf8)

// with & replaced by 6amp; for proper escaping
let urlwidgetXML = """
<widget>
    <widgetId>0100_0_0_1</widgetId>
    <type>Webview</type>
    <label/>
    <icon>webview</icon>
    <height>4</height>
    <url>http://openhab:8080/proxy?sitemap=default.sitemap&amp;widgetId=01000001</url>
</widget>
""".data(using: .utf8)

let shorturlwidgetXML = """
<widget>
    <widgetId>0100_0_0_1</widgetId>
    <type>Webview</type>
    <label/>
    <icon>webview</icon>
    <height>4</height>
    <url>http://openhab:8080/proxy?sitemap=default.sitemap</url>
</widget>
""".data(using: .utf8)

let homepageXML = """
<homepage>
<id>Home</id>
<title>13 Gurnard Road</title>
<link>http://10.77.12.33:8080/rest/sitemaps/Home/Home</link>
<leaf>false</leaf>
<widget>
<widgetId>Home_0</widgetId>
<type>Frame</type>
<label>Controls</label>
<icon>frame</icon>
<widget><widgetId>Home_0_0</widgetId>
<type>Group</type>
<label>Lighting</label>
<icon>cust_light</icon>
<item>
<type>GroupItem</type>
<name>Lights</name>
<state>OFF</state>
<link>http://10.77.12.33:8080/rest/items/Lights</link>
</item>
<linkedPage>
<id>0000</id>
<title>Lighting</title>
<icon>cust_light</icon>
<link>http://10.77.12.33:8080/rest/sitemaps/Home/0000</link>
<leaf>false</leaf>
<widget>
<widgetId>0000_0</widgetId>
<type>Frame</type>
<label>Groups</label>
<icon>frame</icon>
<widget>
<widgetId>0000_0_0</widgetId>
<type>Switch</type>
<label>All Lights [(0)]</label>
<icon>switch-off</icon>
<item>
<type>GroupItem</type>
<name>Lights</name>
<state>OFF</state>
<link>http://10.77.12.33:8080/rest/items/Lights</link>
</item>
</widget>
<widget>
<widgetId>0000_0_0_1</widgetId>
<type>Switch</type>
<label>Living and Kitchen [(0)]</label>
<icon>switch-off</icon>
<item>
<type>GroupItem</type>
<name>LivKitchen</name>
<state>OFF</state>
<link>http://10.77.12.33:8080/rest/items/LivKitchen</link>
</item>
</widget>
</widget>
<widget><widgetId>0000_1</widgetId><type>Frame</type><label>Kitchen</label><icon>frame</icon><widget><widgetId>0000_1_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Kitchen_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Kitchen_Ceiling</link></item></widget><widget><widgetId>0000_1_0_1</widgetId><type>Switch</type><label>Bench</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Kitchen_Bench</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Kitchen_Bench</link></item></widget></widget><widget><widgetId>0000_2</widgetId><type>Frame</type><label>Lounge</label><icon>frame</icon><widget><widgetId>0000_2_0</widgetId><type>Switch</type><label>Preset</label><icon>switch</icon><mapping><command>0</command><label>Off</label></mapping><mapping><command>30</command><label>30%</label></mapping><mapping><command>60</command><label>60%</label></mapping><mapping><command>100</command><label>100%</label></mapping><item><type>DimmerItem</type><name>Light_Indoor_Lounge_Ceiling</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Lounge_Ceiling</link></item></widget><widget><widgetId>0000_2_0_1</widgetId><type>Slider</type><label>Ceiling</label><icon>slider-0</icon><switchSupport>false</switchSupport><sendFrequency>0</sendFrequency><item><type>DimmerItem</type><name>Light_Indoor_Lounge_Ceiling</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Lounge_Ceiling</link></item></widget></widget><widget><widgetId>0000_3</widgetId><type>Frame</type><label>Entry</label><icon>frame</icon><widget><widgetId>0000_3_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Entry_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Entry_Ceiling</link></item></widget></widget><widget><widgetId>0000_4</widgetId><type>Frame</type><label>Hall</label><icon>frame</icon><widget><widgetId>0000_4_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Hall_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Hall_Ceiling</link></item></widget></widget><widget><widgetId>0000_5</widgetId><type>Frame</type><label>Master Bedroom</label><icon>frame</icon><widget><widgetId>0000_5_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_MasterBedroom_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_MasterBedroom_Ceiling</link></item></widget></widget><widget><widgetId>0000_6</widgetId><type>Frame</type><label>Bathroom</label><icon>frame</icon><widget><widgetId>0000_6_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Bathroom_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Bathroom_Ceiling</link></item></widget></widget><widget><widgetId>0000_7</widgetId><type>Frame</type><label>Ensuite</label><icon>frame</icon><widget><widgetId>0000_7_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Ensuite_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Ensuite_Ceiling</link></item></widget></widget><widget><widgetId>0000_8</widgetId><type>Frame</type><label>Outside</label><icon>frame</icon><widget><widgetId>0000_8_0</widgetId><type>Switch</type><label>Front Door</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Outdoor_Front_Door</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Outdoor_Front_Door</link></item></widget></widget></linkedPage></widget><widget><widgetId>Home_0_0_1</widgetId><type>Group</type><label>RGB Lights</label><icon>cust_rgb</icon><item><type>GroupItem</type><name>RGB_LEDs</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/RGB_LEDs</link></item><linkedPage><id>0001</id><title>RGB Lights</title><icon>cust_rgb</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0001</link><leaf>false</leaf><widget><widgetId>0001_0</widgetId><type>Frame</type><label>Master Bedroom</label><icon>frame</icon><widget><widgetId>0001_0_0</widgetId><type>Colorpicker</type><label>RGB LED</label><icon>cust_color</icon><item><type>ColorItem</type><name>Master_Bedroom_RGB</name><state>0.0,0.0,0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB</link></item></widget><widget><widgetId>0001_0_0_1</widgetId><type>Switch</type><label>Sunrise Routine</label><icon>cust_sunrise</icon><item><type>SwitchItem</type><name>Master_Bedroom_RGB_Sunrise</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_Sunrise</link></item></widget></widget></linkedPage></widget><widget><widgetId>Home_0_0_1_2</widgetId><type>Group</type><label>Multimedia</label><icon>cust_film</icon><item><type>GroupItem</type><name>Multimedia</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Multimedia</link></item><linkedPage><id>0002</id><title>Multimedia</title><icon>cust_film</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0002</link><leaf>false</leaf><widget><widgetId>0002_0</widgetId><type>Group</type><label>DVD</label><icon>cust_dvd</icon><item><type>GroupItem</type><name>DVD</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/DVD</link></item><linkedPage><id>000200</id><title>DVD</title><icon>cust_dvd</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/000200</link><leaf>true</leaf><widget><widgetId>000200_0</widgetId><type>Switch</type><label>DVD Power</label><icon>cust_power</icon><mapping><command>ON</command><label>Power</label></mapping><item><type>SwitchItem</type><name>dvd_power_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/dvd_power_sw</link></item></widget><widget><widgetId>000200_1</widgetId><type>Switch</type><label>DVD Eject</label><icon>cust_eject</icon><mapping><command>ON</command><label>Eject</label></mapping><item><type>SwitchItem</type><name>dvd_eject_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/dvd_eject_sw</link></item></widget></linkedPage></widget><widget><widgetId>0002_1</widgetId><type>Group</type><label>Lounge TV</label><icon>cust_tv1</icon><item><type>GroupItem</type><name>Lounge_TV</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Lounge_TV</link></item><linkedPage><id>000201</id><title>Lounge TV</title><icon>cust_tv1</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/000201</link><leaf>false</leaf><widget><widgetId>000201_0</widgetId><type>Frame</type><label>Power</label><icon>frame</icon><widget><widgetId>000201_0_0</widgetId><type>Switch</type><label> ​</label><icon>cust_tv_on</icon><mapping><command>ON</command><label>Power On</label></mapping><item><type>SwitchItem</type><name>ltv_poweron_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_poweron_sw</link></item></widget><widget><widgetId>000201_0_0_1</widgetId><type>Switch</type><label> ​</label><icon>cust_tv_off</icon><mapping><command>ON</command><label>Power Off</label></mapping><item><type>SwitchItem</type><name>ltv_poweroff_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_poweroff_sw</link></item></widget></widget><widget><widgetId>000201_1</widgetId><type>Frame</type><label>Volume</label><icon>frame</icon><widget><widgetId>000201_1_0</widgetId><type>Switch</type><label>​ </label><icon>cust_volup</icon><mapping><command>ON</command><label>Up</label></mapping><item><type>SwitchItem</type><name>ltv_volup_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_volup_sw</link></item></widget><widget><widgetId>000201_1_0_1</widgetId><type>Switch</type><label>​ </label><icon>cust_voldn</icon><mapping><command>ON</command><label>Down</label></mapping><item><type>SwitchItem</type><name>ltv_voldn_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_voldn_sw</link></item></widget><widget><widgetId>000201_1_0_1_2</widgetId><type>Switch</type><label> </label><icon>cust_mute</icon><mapping><command>ON</command><label>Mute</label></mapping><item><type>SwitchItem</type><name>ltv_volmu_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_volmu_sw</link></item></widget></widget><widget><widgetId>000201_2</widgetId><type>Frame</type><label>Input</label><icon>frame</icon><widget><widgetId>000201_2_0</widgetId><type>Switch</type><label>Apple TV</label><icon>cust_appletv</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>ltv_hdmi1_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_hdmi1_sw</link></item></widget><widget><widgetId>000201_2_0_1</widgetId><type>Switch</type><label>Cameras</label><icon>cust_camera</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>ltv_hdmi2_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_hdmi2_sw</link></item></widget><widget><widgetId>000201_2_0_1_2</widgetId><type>Switch</type><label>DVD Player</label><icon>cust_dvd</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>ltv_hdmi3_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_hdmi3_sw</link></item></widget></widget></linkedPage></widget><widget><widgetId>0002_2</widgetId><type>Group</type><label>Denon</label><icon>cust_amp</icon><item><type>GroupItem</type><name>Denon</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Denon</link></item><linkedPage><id>000202</id><title>Denon</title><icon>cust_amp</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/000202</link><leaf>false</leaf><widget><widgetId>000202_0</widgetId><type>Frame</type><label>General</label><icon>frame</icon><widget><widgetId>000202_0_0</widgetId><type>Switch</type><label> </label><icon>cust_power</icon><mapping><command>ON</command><label>Power</label></mapping><item><type>SwitchItem</type><name>den_power_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_power_sw</link></item></widget></widget><widget><widgetId>000202_1</widgetId><type>Frame</type><label>Volume</label><icon>frame</icon><widget><widgetId>000202_1_0</widgetId><type>Switch</type><label> </label><icon>cust_volup</icon><mapping><command>ON</command><label>Up</label></mapping><item><type>SwitchItem</type><name>den_volup_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_volup_sw</link></item></widget><widget><widgetId>000202_1_0_1</widgetId><type>Switch</type><label> </label><icon>cust_voldn</icon><mapping><command>ON</command><label>Down</label></mapping><item><type>SwitchItem</type><name>den_voldn_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_voldn_sw</link></item></widget><widget><widgetId>000202_1_0_1_2</widgetId><type>Switch</type><label> </label><icon>cust_mute</icon><mapping><command>ON</command><label>Mute</label></mapping><item><type>SwitchItem</type><name>den_volmu_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_volmu_sw</link></item></widget></widget><widget><widgetId>000202_2</widgetId><type>Frame</type><label>Input</label><icon>frame</icon><widget><widgetId>000202_2_0</widgetId><type>Switch</type><label>Lounge TV</label><icon>cust_TV</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_intuner_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_intuner_sw</link></item></widget><widget><widgetId>000202_2_0_1</widgetId><type>Switch</type><label>Input A</label><icon>cust_music</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_incd_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_incd_sw</link></item></widget><widget><widgetId>000202_2_0_1_2</widgetId><type>Switch</type><label>DVD/AUX</label><icon>cust_dvd</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_indvd_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_indvd_sw</link></item></widget><widget><widgetId>000202_2_0_1_2_3</widgetId><type>Switch</type><label>Phono</label><icon>cust_phono</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_inphono_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_inphono_sw</link></item></widget><widget><widgetId>000202_2_0_1_2_3_4</widgetId><type>Switch</type><label>Tape 1</label><icon>cust_tape</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_intape1_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_intape1_sw</link></item></widget><widget><widgetId>000202_2_0_1_2_3_4_5</widgetId><type>Switch</type><label>Tape 2</label><icon>cust_tape</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_intape2_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_intape2_sw</link></item></widget></widget></linkedPage></widget><widget><widgetId>0002_3</widgetId><type>Switch</type><label>Ceiling Speakers</label><icon>cust_amp</icon><item><type>SwitchItem</type><name>Ceiling_Amps</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Ceiling_Amps</link></item></widget><widget><widgetId>0002_4</widgetId><type>Frame</type><label>Audio Routing</label><icon>cust_amp</icon><widget><widgetId>0002_4_0</widgetId><type>Selection</type><label>1 - Lounge</label><icon>cust_volup</icon><mapping><command>SBI08O01</command><label>Off</label></mapping><mapping><command>SBI01O01</command><label>Lounge TV</label></mapping><mapping><command>SBI02O01</command><label>Input A</label></mapping><mapping><command>SBI03O01</command><label>Audio Only</label></mapping><mapping><command>SBI07O01</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_1</name><state>SBUD01O1</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_1</link></item></widget><widget><widgetId>0002_4_0_1</widgetId><type>Selection</type><label>2 - Ensuite</label><icon>cust_volup</icon><mapping><command>SBI08O02</command><label>Off</label></mapping><mapping><command>SBI01O02</command><label>Lounge TV</label></mapping><mapping><command>SBI02O02</command><label>Input A</label></mapping><mapping><command>SBI03O02</command><label>Audio Only</label></mapping><mapping><command>SBI07O02</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_2</name><state>SBUD03O2</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_2</link></item></widget><widget><widgetId>0002_4_0_1_2</widgetId><type>Selection</type><label>3 - Bathroom</label><icon>cust_volup</icon><mapping><command>SBI08O03</command><label>Off</label></mapping><mapping><command>SBI01O03</command><label>Lounge TV</label></mapping><mapping><command>SBI02O03</command><label>Input A</label></mapping><mapping><command>SBI03O03</command><label>Audio Only</label></mapping><mapping><command>SBI07O03</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_3</name><state>SBUD08O3</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_3</link></item></widget><widget><widgetId>0002_4_0_1_2_3</widgetId><type>Selection</type><label>4 - James Room</label><icon>cust_volup</icon><mapping><command>SBI08O04</command><label>Off</label></mapping><mapping><command>SBI01O04</command><label>Lounge TV</label></mapping><mapping><command>SBI02O04</command><label>Input A</label></mapping><mapping><command>SBI03O04</command><label>Audio Only</label></mapping><mapping><command>SBI07O04</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_4</name><state>SBUD03O4</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_4</link></item></widget><widget><widgetId>0002_4_0_1_2_3_4</widgetId><type>Selection</type><label>5 - Vicky Room</label><icon>cust_volup</icon><mapping><command>SBI08O05</command><label>Off</label></mapping><mapping><command>SBI01O05</command><label>Lounge TV</label></mapping><mapping><command>SBI02O05</command><label>Input A</label></mapping><mapping><command>SBI03O05</command><label>Audio Only</label></mapping><mapping><command>SBI07O05</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_5</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_5</link></item></widget></widget></linkedPage></widget></widget><widget><widgetId>Home_1</widgetId><type>Frame</type><label>Mode</label><icon>frame</icon><widget><widgetId>Home_1_0</widgetId><type>Switch</type><label>Sleep</label><icon>cust_sleep</icon><item><type>SwitchItem</type><name>Sleep_Mode</name><state>ON</state><link>http://10.77.12.33:8080/rest/items/Sleep_Mode</link></item></widget></widget><widget><widgetId>Home_2</widgetId><type>Frame</type><label>Locations</label><icon>frame</icon><widget><widgetId>Home_2_0</widgetId><type>Group</type><label>Garden</label><icon>cust_garden</icon><item><type>GroupItem</type><name>Garden</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Garden</link></item><linkedPage><id>0200</id><title>Garden</title><icon>cust_garden</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0200</link><leaf>true</leaf><widget><widgetId>0200_0</widgetId><type>Switch</type><label>Irrigation Control</label><icon>cust_garden</icon><item><type>SwitchItem</type><name>Irrigation_1_CMD</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Irrigation_1_CMD</link></item></widget><widget><widgetId>0200_1</widgetId><type>Text</type><label>Irrigation State [OFF]</label><icon>cust_garden</icon><item><type>SwitchItem</type><name>Irrigation_1</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Irrigation_1</link></item></widget><widget><widgetId>0200_2</widgetId><type>Selection</type><label>Timer</label><icon>cust_timer</icon><mapping><command>1</command><label>One Minute</label></mapping><mapping><command>2</command><label>Two Minutes</label></mapping><mapping><command>3</command><label>Three Minutes</label></mapping><mapping><command>5</command><label>Five Minutes</label></mapping><mapping><command>10</command><label>Ten Minutes</label></mapping><item><type>NumberItem</type><name>Irrigation_Timer</name><state>5</state><link>http://10.77.12.33:8080/rest/items/Irrigation_Timer</link></item></widget></linkedPage></widget><widget><widgetId>Home_2_0_1</widgetId><type>Group</type><label>Ensuite</label><icon>cust_ensuite</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Ensuite</link></item><linkedPage><id>0201</id><title>Ensuite</title><icon>cust_ensuite</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0201</link><leaf>true</leaf><widget><widgetId>0201_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Ensuite_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Ensuite_Ceiling</link></item></widget><widget><widgetId>0201_1</widgetId><type>Switch</type><label>Extractor</label><icon>cust_fan</icon><item><type>SwitchItem</type><name>Fan_Indoor_Ensuite_Extractor</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Ensuite_Extractor</link></item></widget><widget><widgetId>0201_2</widgetId><type>Text</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget><widget><widgetId>0201_3</widgetId><type>Text</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget><widget><widgetId>0201_4</widgetId><type>Text</type><label>Automatic Extractor [Inactive]</label><icon>cust_control</icon><item><type>SwitchItem</type><name>Ensuite_Fan_Control</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Fan_Control</link></item></widget><widget><widgetId>0201_5</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget><widget><widgetId>0201_6</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></linkedPage></widget><widget><widgetId>Home_2_0_1_2</widgetId><type>Group</type><label>Main Bathroom</label><icon>cust_bathroom</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Ensuite</link></item><linkedPage><id>0202</id><title>Main Bathroom</title><icon>cust_bathroom</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0202</link><leaf>true</leaf><widget><widgetId>0202_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Bathroom_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Bathroom_Ceiling</link></item></widget><widget><widgetId>0202_1</widgetId><type>Switch</type><label>Extractor</label><icon>cust_fan</icon><item><type>SwitchItem</type><name>Fan_Indoor_Bathroom_Extractor</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Bathroom_Extractor</link></item></widget><widget><widgetId>0202_2</widgetId><type>Text</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget><widget><widgetId>0202_3</widgetId><type>Text</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget><widget><widgetId>0202_4</widgetId><type>Text</type><label>Automatic Extractor [Inactive]</label><icon>cust_control</icon><item><type>SwitchItem</type><name>Bathroom_Fan_Control</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Fan_Control</link></item></widget><widget><widgetId>0202_5</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget><widget><widgetId>0202_6</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></linkedPage></widget></widget><widget><widgetId>Home_3</widgetId><type>Frame</type><label>Info</label><icon>frame</icon><widget><widgetId>Home_3_0</widgetId><type>Text</type><label>Date [16/08/2019 05:09 am]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>Date</name><state>2019-08-16T05:09:11</state><link>http://10.77.12.33:8080/rest/items/Date</link></item></widget><widget><widgetId>Home_3_0_1</widgetId><type>Text</type><label>Sunrise [07:05]</label><icon>cust_sunrise</icon><item><type>DateTimeItem</type><name>Sunrise_Time</name><state>2019-08-16T07:05:00</state><link>http://10.77.12.33:8080/rest/items/Sunrise_Time</link></item></widget><widget><widgetId>Home_3_0_1_2</widgetId><type>Text</type><label>Sunset [17:46]</label><icon>cust_sunset</icon><item><type>DateTimeItem</type><name>Sunset_Time</name><state>2019-08-16T17:46:00</state><link>http://10.77.12.33:8080/rest/items/Sunset_Time</link></item></widget><widget><widgetId>Home_3_0_1_2_3</widgetId><type>Text</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget><widget><widgetId>Home_3_0_1_2_3_4</widgetId><type>Group</type><label>More Info</label><icon>cust_graph</icon><item><type>GroupItem</type><name>Graphs</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Graphs</link></item><linkedPage><id>0304</id><title>More Info</title><icon>cust_graph</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0304</link><leaf>false</leaf><widget><widgetId>0304_0</widgetId><type>Group</type><label>Ensuite</label><icon>cust_ensuite</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Ensuite</link></item><linkedPage><id>030400</id><title>Ensuite</title><icon>cust_ensuite</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/030400</link><leaf>false</leaf><widget><widgetId>030400_0</widgetId><type>Text</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget><widget><widgetId>030400_1</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030400_1_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_2</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030400_2_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_3</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030400_3_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_4</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030400_4_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_5</widgetId><type>Text</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget><widget><widgetId>030400_6</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030400_6_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget><widget><widgetId>030400_7</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030400_7_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget><widget><widgetId>030400_8</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030400_8_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget><widget><widgetId>030400_9</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030400_9_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget></linkedPage></widget><widget><widgetId>0304_1</widgetId><type>Group</type><label>Main Bathroom</label><icon>cust_bathroom</icon><item><type>GroupItem</type><name>Indoor_Bathroom</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Indoor_Bathroom</link></item><linkedPage><id>030401</id><title>Main Bathroom</title><icon>cust_bathroom</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/030401</link><leaf>false</leaf><widget><widgetId>030401_0</widgetId><type>Text</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget><widget><widgetId>030401_1</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030401_1_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_2</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030401_2_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_3</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030401_3_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_4</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030401_4_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_5</widgetId><type>Text</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget><widget><widgetId>030401_6</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030401_6_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget><widget><widgetId>030401_7</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030401_7_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget><widget><widgetId>030401_8</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030401_8_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget><widget><widgetId>030401_9</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030401_9_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget></linkedPage></widget><widget><widgetId>0304_2</widgetId><type>Group</type><label>Lounge Light</label><icon>cust_lux</icon><item><type>GroupItem</type><name>Lounge_Light_Sensor</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Sensor</link></item><linkedPage><id>030402</id><title>Lounge Light</title><icon>cust_lux</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/030402</link><leaf>false</leaf><widget><widgetId>030402_0</widgetId><type>Text</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget><widget><widgetId>030402_1</widgetId><type>Frame</type><label>24hr History</label><icon>frame</icon><widget><widgetId>030402_1_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget><widget><widgetId>030402_2</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030402_2_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget><widget><widgetId>030402_3</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030402_3_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget><widget><widgetId>030402_4</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030402_4_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget></linkedPage></widget></linkedPage></widget></widget><widget><widgetId>Home_4</widgetId><type>Frame</type><label>Weather</label><icon>frame</icon><widget><widgetId>Home_4_0</widgetId><type>Text</type><label>Current [Fri - 16.08.2019]</label><icon>cust_now</icon><item><type>DateTimeItem</type><name>FIO_ObservationTime</name><state>2019-08-16T05:04:09</state><link>http://10.77.12.33:8080/rest/items/FIO_ObservationTime</link></item></widget><widget><widgetId>Home_4_0_1</widgetId><type>Text</type><label>Condition [Mostly Cloudy]</label><icon>cust_weather</icon><item><type>StringItem</type><name>FIO_Condition</name><state>Mostly Cloudy</state><link>http://10.77.12.33:8080/rest/items/FIO_Condition</link></item></widget><widget><widgetId>Home_4_0_1_2</widgetId><type>Text</type><label>Temperature [9.37 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>FIO_Temperature</name><state>9.37</state><link>http://10.77.12.33:8080/rest/items/FIO_Temperature</link></item></widget><widget><widgetId>Home_4_0_1_2_3</widgetId><type>Text</type><label>Humidity [98 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>FIO_Humidity</name><state>98.00</state><link>http://10.77.12.33:8080/rest/items/FIO_Humidity</link></item></widget><widget><widgetId>Home_4_0_1_2_3_4</widgetId><type>Group</type><label>Forecast</label><icon>cust_forecast</icon><item><type>GroupItem</type><name>Forecast</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Forecast</link></item><linkedPage><id>0404</id><title>Forecast</title><icon>cust_forecast</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0404</link><leaf>false</leaf><widget><widgetId>0404_0</widgetId><type>Frame</type><label>Tomorrow</label><icon>frame</icon><widget><widgetId>0404_0_0</widgetId><type>Text</type><label>[Sat - 17.08.2019]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>ObservationTime1</name><state>2019-08-17T00:00:00</state><link>http://10.77.12.33:8080/rest/items/ObservationTime1</link></item></widget><widget><widgetId>0404_0_0_1</widgetId><type>Text</type><label>Max Temperature [15.57 °C]</label><icon>cust_tempmax</icon><item><type>NumberItem</type><name>Temp_Max1</name><state>15.57</state><link>http://10.77.12.33:8080/rest/items/Temp_Max1</link></item></widget><widget><widgetId>0404_0_0_1_2</widgetId><type>Text</type><label>Min Temperature [6.77 °C]</label><icon>cust_tempmin</icon><item><type>NumberItem</type><name>Temp_Min1</name><state>6.77</state><link>http://10.77.12.33:8080/rest/items/Temp_Min1</link></item></widget><widget><widgetId>0404_0_0_1_2_3</widgetId><type>Text</type><label>Windspeed [15.34 km/h]</label><icon>cust_wind</icon><item><type>NumberItem</type><name>Wind_Speed1</name><state>15.34</state><link>http://10.77.12.33:8080/rest/items/Wind_Speed1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4</widgetId><type>Text</type><label>Wind direction [WNW]</label><icon>cust_compass</icon><item><type>StringItem</type><name>Wind_Direction1</name><state>WNW</state><link>http://10.77.12.33:8080/rest/items/Wind_Direction1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5</widgetId><type>Text</type><label>Humidity [92 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Humidity1</name><state>92.00</state><link>http://10.77.12.33:8080/rest/items/Humidity1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5_6</widgetId><type>Text</type><label>Pressure [1015.23 mb]</label><icon>cust_pressure</icon><item><type>NumberItem</type><name>Pressure1</name><state>1015.23</state><link>http://10.77.12.33:8080/rest/items/Pressure1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5_6_7</widgetId><type>Text</type><label>Precip probability [69 %]</label><icon>cust_rain</icon><item><type>NumberItem</type><name>Precip_Probability1</name><state>69.00</state><link>http://10.77.12.33:8080/rest/items/Precip_Probability1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5_6_7_8</widgetId><type>Text</type><label>Rain [0.07 mm/h]</label><icon>cust_rain2</icon><item><type>NumberItem</type><name>Rain1</name><state>0.07</state><link>http://10.77.12.33:8080/rest/items/Rain1</link></item></widget></widget><widget><widgetId>0404_1</widgetId><type>Frame</type><label>+2 Days</label><icon>frame</icon><widget><widgetId>0404_1_0</widgetId><type>Text</type><label>[Sun - 18.08.2019]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>ObservationTime2</name><state>2019-08-18T00:00:00</state><link>http://10.77.12.33:8080/rest/items/ObservationTime2</link></item></widget><widget><widgetId>0404_1_0_1</widgetId><type>Text</type><label>Max Temperature [11.15 °C]</label><icon>cust_tempmax</icon><item><type>NumberItem</type><name>Temp_Max2</name><state>11.15</state><link>http://10.77.12.33:8080/rest/items/Temp_Max2</link></item></widget><widget><widgetId>0404_1_0_1_2</widgetId><type>Text</type><label>Min Temperature [6.32 °C]</label><icon>cust_tempmin</icon><item><type>NumberItem</type><name>Temp_Min2</name><state>6.32</state><link>http://10.77.12.33:8080/rest/items/Temp_Min2</link></item></widget><widget><widgetId>0404_1_0_1_2_3</widgetId><type>Text</type><label>Windspeed [21.42 km/h]</label><icon>cust_wind</icon><item><type>NumberItem</type><name>Wind_Speed2</name><state>21.42</state><link>http://10.77.12.33:8080/rest/items/Wind_Speed2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4</widgetId><type>Text</type><label>Wind direction [ESE]</label><icon>cust_compass</icon><item><type>StringItem</type><name>Wind_Direction2</name><state>ESE</state><link>http://10.77.12.33:8080/rest/items/Wind_Direction2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5</widgetId><type>Text</type><label>Humidity [91 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Humidity2</name><state>91.00</state><link>http://10.77.12.33:8080/rest/items/Humidity2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5_6</widgetId><type>Text</type><label>Pressure [1018.41 mb]</label><icon>cust_pressure</icon><item><type>NumberItem</type><name>Pressure2</name><state>1018.41</state><link>http://10.77.12.33:8080/rest/items/Pressure2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5_6_7</widgetId><type>Text</type><label>Precip probability [94 %]</label><icon>cust_rain</icon><item><type>NumberItem</type><name>Precip_Probability2</name><state>94.00</state><link>http://10.77.12.33:8080/rest/items/Precip_Probability2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5_6_7_8</widgetId><type>Text</type><label>Rain [0.16 mm/h]</label><icon>cust_rain2</icon><item><type>NumberItem</type><name>Rain2</name><state>0.16</state><link>http://10.77.12.33:8080/rest/items/Rain2</link></item></widget></widget><widget><widgetId>0404_2</widgetId><type>Frame</type><label>+3 Days</label><icon>frame</icon><widget><widgetId>0404_2_0</widgetId><type>Text</type><label>ObservationTime3cust_toggle</label><icon>text</icon></widget><widget><widgetId>0404_2_0_1</widgetId><type>Text</type><label>Max Temperature [11.09 °C]</label><icon>cust_tempmax</icon><item><type>NumberItem</type><name>Temp_Max3</name><state>11.09</state><link>http://10.77.12.33:8080/rest/items/Temp_Max3</link></item></widget><widget><widgetId>0404_2_0_1_2</widgetId><type>Text</type><label>Min Temperature [5.45 °C]</label><icon>cust_tempmin</icon><item><type>NumberItem</type><name>Temp_Min3</name><state>5.45</state><link>http://10.77.12.33:8080/rest/items/Temp_Min3</link></item></widget><widget><widgetId>0404_2_0_1_2_3</widgetId><type>Text</type><label>Windspeed [28.04 km/h]</label><icon>cust_wind</icon><item><type>NumberItem</type><name>Wind_Speed3</name><state>28.04</state><link>http://10.77.12.33:8080/rest/items/Wind_Speed3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4</widgetId><type>Text</type><label>Wind direction [E]</label><icon>cust_compass</icon><item><type>StringItem</type><name>Wind_Direction3</name><state>E</state><link>http://10.77.12.33:8080/rest/items/Wind_Direction3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5</widgetId><type>Text</type><label>Humidity [85 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Humidity3</name><state>85.00</state><link>http://10.77.12.33:8080/rest/items/Humidity3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5_6</widgetId><type>Text</type><label>Pressure [1023.08 mb]</label><icon>cust_pressure</icon><item><type>NumberItem</type><name>Pressure3</name><state>1023.08</state><link>http://10.77.12.33:8080/rest/items/Pressure3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5_6_7</widgetId><type>Text</type><label>Precip probability [20 %]</label><icon>cust_rain</icon><item><type>NumberItem</type><name>Precip_Probability3</name><state>20.00</state><link>http://10.77.12.33:8080/rest/items/Precip_Probability3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5_6_7_8</widgetId><type>Text</type><label>Rain [0.03 mm/h]</label><icon>cust_rain2</icon><item><type>NumberItem</type><name>Rain3</name><state>0.03</state><link>http://10.77.12.33:8080/rest/items/Rain3</link></item></widget></widget></linkedPage></widget></widget><widget><widgetId>Home_5</widgetId><type>Frame</type><label>Alarm</label><icon>frame</icon><widget><widgetId>Home_5_0</widgetId><type>Group</type><label>Alarm State</label><icon>cust_alarm</icon><item><type>GroupItem</type><name>Alarm_Contacts</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/Alarm_Contacts</link></item><linkedPage><id>0500</id><title>Alarm State</title><icon>cust_alarm</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0500</link><leaf>true</leaf><widget><widgetId>0500_0</widgetId><type>Text</type><label>Fire Event [Inactive]</label><icon>firestatic</icon><item><type>ContactItem</type><name>Alarm_Input</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/Alarm_Input</link></item></widget><widget><widgetId>0500_1</widgetId><type>Text</type><label>Arm Event [Inactive]</label><icon>cust_armed</icon><item><type>ContactItem</type><name>pdxin15</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/pdxin15</link></item></widget><widget><widgetId>0500_2</widgetId><type>Text</type><label>Disarm Event [Inactive]</label><icon>cust_disarmed</icon><item><type>ContactItem</type><name>pdxin16</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/pdxin16</link></item></widget><widget><widgetId>0500_3</widgetId><type>Text</type><label>Zone 1 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin1</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin1</link></item></widget><widget><widgetId>0500_4</widgetId><type>Text</type><label>Zone 2 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin2</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin2</link></item></widget><widget><widgetId>0500_5</widgetId><type>Text</type><label>Zone 3 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin3</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin3</link></item></widget><widget><widgetId>0500_6</widgetId><type>Text</type><label>Zone 4 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin4</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin4</link></item></widget><widget><widgetId>0500_7</widgetId><type>Text</type><label>Zone 5 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin5</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin5</link></item></widget><widget><widgetId>0500_8</widgetId><type>Text</type><label>Zone 6 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin6</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin6</link></item></widget></linkedPage></widget></widget><widget><widgetId>Home_6</widgetId><type>Frame</type><label>Settings</label><icon>frame</icon><widget><widgetId>Home_6_0</widgetId><type>Group</type><label>Settings</label><icon>cust_setting</icon><item><type>GroupItem</type><name>Settings</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Settings</link></item><linkedPage><id>0600</id><title>Settings</title><icon>cust_setting</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0600</link><leaf>false</leaf><widget><widgetId>0600_0</widgetId><type>Frame</type><label>Master Bedroom RGB</label><icon>frame</icon><widget><widgetId>0600_0_0</widgetId><type>Text</type><label>Red [0 %]</label><icon>cust_redlight</icon><item><type>StringItem</type><name>Master_Bedroom_RGB_R</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_R</link></item></widget><widget><widgetId>0600_0_0_1</widgetId><type>Text</type><label>Green [0 %]</label><icon>cust_greenlight</icon><item><type>StringItem</type><name>Master_Bedroom_RGB_G</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_G</link></item></widget><widget><widgetId>0600_0_0_1_2</widgetId><type>Text</type><label>Blue [0 %]</label><icon>cust_bluelight</icon><item><type>StringItem</type><name>Master_Bedroom_RGB_B</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_B</link></item></widget><widget><widgetId>0600_0_0_1_2_3</widgetId><type>Switch</type><label>Reset Node</label><icon>cust_restart</icon><item><type>SwitchItem</type><name>Master_Bedroom_RGB_Reset</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_Reset</link></item></widget></widget><widget><widgetId>0600_1</widgetId><type>Frame</type><label>States</label><icon>frame</icon><widget><widgetId>0600_1_0</widgetId><type>Switch</type><label>Holiday Mode</label><icon>cust_holiday</icon><item><type>SwitchItem</type><name>Holiday_Mode</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Holiday_Mode</link></item></widget><widget><widgetId>0600_1_0_1</widgetId><type>Switch</type><label>Automatic Extractors</label><icon>cust_control</icon><item><type>SwitchItem</type><name>Auto_Fans</name><state>ON</state><link>http://10.77.12.33:8080/rest/items/Auto_Fans</link></item></widget></widget><widget><widgetId>0600_2</widgetId><type>Frame</type><label>CalDav Automation</label><icon>frame</icon><widget><widgetId>0600_2_0</widgetId><type>Switch</type><label>Bathroom Ceiling Lights</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Light_Indoor_Bathroom_Ceiling_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Bathroom_Ceiling_Disable</link></item></widget><widget><widgetId>0600_2_0_1</widgetId><type>Switch</type><label>Ensuite Ceiling Lights</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Light_Indoor_Ensuite_Ceiling_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Ensuite_Ceiling_Disable</link></item></widget><widget><widgetId>0600_2_0_1_2</widgetId><type>Switch</type><label>Master Bedroom Ceiling Lights</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Light_Indoor_MasterBedroom_Ceiling_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_MasterBedroom_Ceiling_Disable</link></item></widget><widget><widgetId>0600_2_0_1_2_3</widgetId><type>Switch</type><label>Bathroom Ceiling Fan</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Fan_Indoor_Bathroom_Extractor_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Bathroom_Extractor_Disable</link></item></widget><widget><widgetId>0600_2_0_1_2_3_4</widgetId><type>Switch</type><label>Ensuite Ceiling Fan</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Fan_Indoor_Ensuite_Extractor_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Ensuite_Extractor_Disable</link></item></widget></widget></linkedPage></widget></widget></homepage>
""".data(using: .utf8)

let fullxml = """
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<sitemap>
<name>Home</name>
<label>13 Gurnard Road</label>
<link>http://10.77.12.33:8080/rest/sitemaps/Home</link>
<homepage>
<id>Home</id>
<title>13 Gurnard Road</title>
<link>http://10.77.12.33:8080/rest/sitemaps/Home/Home</link>
<leaf>false</leaf>
<widget>
<widgetId>Home_0</widgetId>
<type>Frame</type>
<label>Controls</label>
<icon>frame</icon>
<widget><widgetId>Home_0_0</widgetId>
<type>Group</type>
<label>Lighting</label>
<icon>cust_light</icon>
<item>
    <type>GroupItem</type>
    <name>Lights</name>
    <state>OFF</state>
    <link>http://10.77.12.33:8080/rest/items/Lights</link>
</item>
<linkedPage>
<id>0000</id>
<title>Lighting</title>
<icon>cust_light</icon>
<link>http://10.77.12.33:8080/rest/sitemaps/Home/0000</link>
<leaf>false</leaf>
<widget>
    <widgetId>0000_0</widgetId>
    <type>Frame</type>
    <label>Groups</label>
    <icon>frame</icon>
    <widget>
        <widgetId>0000_0_0</widgetId>
        <type>Switch</type>
        <label>All Lights [(0)]</label>
        <icon>switch-off</icon>
        <item>
            <type>GroupItem</type>
            <name>Lights</name>
            <state>OFF</state>
            <link>http://10.77.12.33:8080/rest/items/Lights</link>
        </item>
    </widget>
    <widget>
        <widgetId>0000_0_0_1</widgetId>
        <type>Switch</type>
        <label>Living and Kitchen [(0)]</label>
        <icon>switch-off</icon>
        <item>
            <type>GroupItem</type>
            <name>LivKitchen</name>
            <state>OFF</state>
            <link>http://10.77.12.33:8080/rest/items/LivKitchen</link>
        </item>
    </widget>
</widget>
    <widget><widgetId>0000_1</widgetId><type>Frame</type><label>Kitchen</label><icon>frame</icon><widget><widgetId>0000_1_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Kitchen_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Kitchen_Ceiling</link></item></widget><widget><widgetId>0000_1_0_1</widgetId><type>Switch</type><label>Bench</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Kitchen_Bench</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Kitchen_Bench</link></item></widget></widget><widget><widgetId>0000_2</widgetId><type>Frame</type><label>Lounge</label><icon>frame</icon><widget><widgetId>0000_2_0</widgetId><type>Switch</type><label>Preset</label><icon>switch</icon><mapping><command>0</command><label>Off</label></mapping><mapping><command>30</command><label>30%</label></mapping><mapping><command>60</command><label>60%</label></mapping><mapping><command>100</command><label>100%</label></mapping><item><type>DimmerItem</type><name>Light_Indoor_Lounge_Ceiling</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Lounge_Ceiling</link></item></widget><widget><widgetId>0000_2_0_1</widgetId><type>Slider</type><label>Ceiling</label><icon>slider-0</icon><switchSupport>false</switchSupport><sendFrequency>0</sendFrequency><item><type>DimmerItem</type><name>Light_Indoor_Lounge_Ceiling</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Lounge_Ceiling</link></item></widget></widget><widget><widgetId>0000_3</widgetId><type>Frame</type><label>Entry</label><icon>frame</icon><widget><widgetId>0000_3_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Entry_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Entry_Ceiling</link></item></widget></widget><widget><widgetId>0000_4</widgetId><type>Frame</type><label>Hall</label><icon>frame</icon><widget><widgetId>0000_4_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Hall_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Hall_Ceiling</link></item></widget></widget><widget><widgetId>0000_5</widgetId><type>Frame</type><label>Master Bedroom</label><icon>frame</icon><widget><widgetId>0000_5_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_MasterBedroom_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_MasterBedroom_Ceiling</link></item></widget></widget><widget><widgetId>0000_6</widgetId><type>Frame</type><label>Bathroom</label><icon>frame</icon><widget><widgetId>0000_6_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Bathroom_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Bathroom_Ceiling</link></item></widget></widget><widget><widgetId>0000_7</widgetId><type>Frame</type><label>Ensuite</label><icon>frame</icon><widget><widgetId>0000_7_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Ensuite_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Ensuite_Ceiling</link></item></widget></widget><widget><widgetId>0000_8</widgetId><type>Frame</type><label>Outside</label><icon>frame</icon><widget><widgetId>0000_8_0</widgetId><type>Switch</type><label>Front Door</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Outdoor_Front_Door</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Outdoor_Front_Door</link></item></widget></widget></linkedPage></widget><widget><widgetId>Home_0_0_1</widgetId><type>Group</type><label>RGB Lights</label><icon>cust_rgb</icon><item><type>GroupItem</type><name>RGB_LEDs</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/RGB_LEDs</link></item><linkedPage><id>0001</id><title>RGB Lights</title><icon>cust_rgb</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0001</link><leaf>false</leaf><widget><widgetId>0001_0</widgetId><type>Frame</type><label>Master Bedroom</label><icon>frame</icon><widget><widgetId>0001_0_0</widgetId><type>Colorpicker</type><label>RGB LED</label><icon>cust_color</icon><item><type>ColorItem</type><name>Master_Bedroom_RGB</name><state>0.0,0.0,0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB</link></item></widget><widget><widgetId>0001_0_0_1</widgetId><type>Switch</type><label>Sunrise Routine</label><icon>cust_sunrise</icon><item><type>SwitchItem</type><name>Master_Bedroom_RGB_Sunrise</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_Sunrise</link></item></widget></widget></linkedPage></widget><widget><widgetId>Home_0_0_1_2</widgetId><type>Group</type><label>Multimedia</label><icon>cust_film</icon><item><type>GroupItem</type><name>Multimedia</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Multimedia</link></item><linkedPage><id>0002</id><title>Multimedia</title><icon>cust_film</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0002</link><leaf>false</leaf><widget><widgetId>0002_0</widgetId><type>Group</type><label>DVD</label><icon>cust_dvd</icon><item><type>GroupItem</type><name>DVD</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/DVD</link></item><linkedPage><id>000200</id><title>DVD</title><icon>cust_dvd</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/000200</link><leaf>true</leaf><widget><widgetId>000200_0</widgetId><type>Switch</type><label>DVD Power</label><icon>cust_power</icon><mapping><command>ON</command><label>Power</label></mapping><item><type>SwitchItem</type><name>dvd_power_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/dvd_power_sw</link></item></widget><widget><widgetId>000200_1</widgetId><type>Switch</type><label>DVD Eject</label><icon>cust_eject</icon><mapping><command>ON</command><label>Eject</label></mapping><item><type>SwitchItem</type><name>dvd_eject_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/dvd_eject_sw</link></item></widget></linkedPage></widget><widget><widgetId>0002_1</widgetId><type>Group</type><label>Lounge TV</label><icon>cust_tv1</icon><item><type>GroupItem</type><name>Lounge_TV</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Lounge_TV</link></item><linkedPage><id>000201</id><title>Lounge TV</title><icon>cust_tv1</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/000201</link><leaf>false</leaf><widget><widgetId>000201_0</widgetId><type>Frame</type><label>Power</label><icon>frame</icon><widget><widgetId>000201_0_0</widgetId><type>Switch</type><label> ​</label><icon>cust_tv_on</icon><mapping><command>ON</command><label>Power On</label></mapping><item><type>SwitchItem</type><name>ltv_poweron_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_poweron_sw</link></item></widget><widget><widgetId>000201_0_0_1</widgetId><type>Switch</type><label> ​</label><icon>cust_tv_off</icon><mapping><command>ON</command><label>Power Off</label></mapping><item><type>SwitchItem</type><name>ltv_poweroff_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_poweroff_sw</link></item></widget></widget><widget><widgetId>000201_1</widgetId><type>Frame</type><label>Volume</label><icon>frame</icon><widget><widgetId>000201_1_0</widgetId><type>Switch</type><label>​ </label><icon>cust_volup</icon><mapping><command>ON</command><label>Up</label></mapping><item><type>SwitchItem</type><name>ltv_volup_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_volup_sw</link></item></widget><widget><widgetId>000201_1_0_1</widgetId><type>Switch</type><label>​ </label><icon>cust_voldn</icon><mapping><command>ON</command><label>Down</label></mapping><item><type>SwitchItem</type><name>ltv_voldn_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_voldn_sw</link></item></widget><widget><widgetId>000201_1_0_1_2</widgetId><type>Switch</type><label> </label><icon>cust_mute</icon><mapping><command>ON</command><label>Mute</label></mapping><item><type>SwitchItem</type><name>ltv_volmu_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_volmu_sw</link></item></widget></widget><widget><widgetId>000201_2</widgetId><type>Frame</type><label>Input</label><icon>frame</icon><widget><widgetId>000201_2_0</widgetId><type>Switch</type><label>Apple TV</label><icon>cust_appletv</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>ltv_hdmi1_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_hdmi1_sw</link></item></widget><widget><widgetId>000201_2_0_1</widgetId><type>Switch</type><label>Cameras</label><icon>cust_camera</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>ltv_hdmi2_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_hdmi2_sw</link></item></widget><widget><widgetId>000201_2_0_1_2</widgetId><type>Switch</type><label>DVD Player</label><icon>cust_dvd</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>ltv_hdmi3_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/ltv_hdmi3_sw</link></item></widget></widget></linkedPage></widget><widget><widgetId>0002_2</widgetId><type>Group</type><label>Denon</label><icon>cust_amp</icon><item><type>GroupItem</type><name>Denon</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Denon</link></item><linkedPage><id>000202</id><title>Denon</title><icon>cust_amp</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/000202</link><leaf>false</leaf><widget><widgetId>000202_0</widgetId><type>Frame</type><label>General</label><icon>frame</icon><widget><widgetId>000202_0_0</widgetId><type>Switch</type><label> </label><icon>cust_power</icon><mapping><command>ON</command><label>Power</label></mapping><item><type>SwitchItem</type><name>den_power_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_power_sw</link></item></widget></widget><widget><widgetId>000202_1</widgetId><type>Frame</type><label>Volume</label><icon>frame</icon><widget><widgetId>000202_1_0</widgetId><type>Switch</type><label> </label><icon>cust_volup</icon><mapping><command>ON</command><label>Up</label></mapping><item><type>SwitchItem</type><name>den_volup_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_volup_sw</link></item></widget><widget><widgetId>000202_1_0_1</widgetId><type>Switch</type><label> </label><icon>cust_voldn</icon><mapping><command>ON</command><label>Down</label></mapping><item><type>SwitchItem</type><name>den_voldn_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_voldn_sw</link></item></widget><widget><widgetId>000202_1_0_1_2</widgetId><type>Switch</type><label> </label><icon>cust_mute</icon><mapping><command>ON</command><label>Mute</label></mapping><item><type>SwitchItem</type><name>den_volmu_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_volmu_sw</link></item></widget></widget><widget><widgetId>000202_2</widgetId><type>Frame</type><label>Input</label><icon>frame</icon><widget><widgetId>000202_2_0</widgetId><type>Switch</type><label>Lounge TV</label><icon>cust_TV</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_intuner_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_intuner_sw</link></item></widget><widget><widgetId>000202_2_0_1</widgetId><type>Switch</type><label>Input A</label><icon>cust_music</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_incd_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_incd_sw</link></item></widget><widget><widgetId>000202_2_0_1_2</widgetId><type>Switch</type><label>DVD/AUX</label><icon>cust_dvd</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_indvd_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_indvd_sw</link></item></widget><widget><widgetId>000202_2_0_1_2_3</widgetId><type>Switch</type><label>Phono</label><icon>cust_phono</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_inphono_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_inphono_sw</link></item></widget><widget><widgetId>000202_2_0_1_2_3_4</widgetId><type>Switch</type><label>Tape 1</label><icon>cust_tape</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_intape1_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_intape1_sw</link></item></widget><widget><widgetId>000202_2_0_1_2_3_4_5</widgetId><type>Switch</type><label>Tape 2</label><icon>cust_tape</icon><mapping><command>ON</command><label>Select</label></mapping><item><type>SwitchItem</type><name>den_intape2_sw</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/den_intape2_sw</link></item></widget></widget></linkedPage></widget><widget><widgetId>0002_3</widgetId><type>Switch</type><label>Ceiling Speakers</label><icon>cust_amp</icon><item><type>SwitchItem</type><name>Ceiling_Amps</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Ceiling_Amps</link></item></widget><widget><widgetId>0002_4</widgetId><type>Frame</type><label>Audio Routing</label><icon>cust_amp</icon><widget><widgetId>0002_4_0</widgetId><type>Selection</type><label>1 - Lounge</label><icon>cust_volup</icon><mapping><command>SBI08O01</command><label>Off</label></mapping><mapping><command>SBI01O01</command><label>Lounge TV</label></mapping><mapping><command>SBI02O01</command><label>Input A</label></mapping><mapping><command>SBI03O01</command><label>Audio Only</label></mapping><mapping><command>SBI07O01</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_1</name><state>SBUD01O1</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_1</link></item></widget><widget><widgetId>0002_4_0_1</widgetId><type>Selection</type><label>2 - Ensuite</label><icon>cust_volup</icon><mapping><command>SBI08O02</command><label>Off</label></mapping><mapping><command>SBI01O02</command><label>Lounge TV</label></mapping><mapping><command>SBI02O02</command><label>Input A</label></mapping><mapping><command>SBI03O02</command><label>Audio Only</label></mapping><mapping><command>SBI07O02</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_2</name><state>SBUD03O2</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_2</link></item></widget><widget><widgetId>0002_4_0_1_2</widgetId><type>Selection</type><label>3 - Bathroom</label><icon>cust_volup</icon><mapping><command>SBI08O03</command><label>Off</label></mapping><mapping><command>SBI01O03</command><label>Lounge TV</label></mapping><mapping><command>SBI02O03</command><label>Input A</label></mapping><mapping><command>SBI03O03</command><label>Audio Only</label></mapping><mapping><command>SBI07O03</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_3</name><state>SBUD08O3</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_3</link></item></widget><widget><widgetId>0002_4_0_1_2_3</widgetId><type>Selection</type><label>4 - James Room</label><icon>cust_volup</icon><mapping><command>SBI08O04</command><label>Off</label></mapping><mapping><command>SBI01O04</command><label>Lounge TV</label></mapping><mapping><command>SBI02O04</command><label>Input A</label></mapping><mapping><command>SBI03O04</command><label>Audio Only</label></mapping><mapping><command>SBI07O04</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_4</name><state>SBUD03O4</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_4</link></item></widget><widget><widgetId>0002_4_0_1_2_3_4</widgetId><type>Selection</type><label>5 - Vicky Room</label><icon>cust_volup</icon><mapping><command>SBI08O05</command><label>Off</label></mapping><mapping><command>SBI01O05</command><label>Lounge TV</label></mapping><mapping><command>SBI02O05</command><label>Input A</label></mapping><mapping><command>SBI03O05</command><label>Audio Only</label></mapping><mapping><command>SBI07O05</command><label>James PC</label></mapping><item><type>StringItem</type><name>Matrix_Output_5</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Matrix_Output_5</link></item></widget></widget></linkedPage></widget></widget><widget><widgetId>Home_1</widgetId><type>Frame</type><label>Mode</label><icon>frame</icon><widget><widgetId>Home_1_0</widgetId><type>Switch</type><label>Sleep</label><icon>cust_sleep</icon><item><type>SwitchItem</type><name>Sleep_Mode</name><state>ON</state><link>http://10.77.12.33:8080/rest/items/Sleep_Mode</link></item></widget></widget><widget><widgetId>Home_2</widgetId><type>Frame</type><label>Locations</label><icon>frame</icon><widget><widgetId>Home_2_0</widgetId><type>Group</type><label>Garden</label><icon>cust_garden</icon><item><type>GroupItem</type><name>Garden</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Garden</link></item><linkedPage><id>0200</id><title>Garden</title><icon>cust_garden</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0200</link><leaf>true</leaf><widget><widgetId>0200_0</widgetId><type>Switch</type><label>Irrigation Control</label><icon>cust_garden</icon><item><type>SwitchItem</type><name>Irrigation_1_CMD</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Irrigation_1_CMD</link></item></widget><widget><widgetId>0200_1</widgetId><type>Text</type><label>Irrigation State [OFF]</label><icon>cust_garden</icon><item><type>SwitchItem</type><name>Irrigation_1</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Irrigation_1</link></item></widget><widget><widgetId>0200_2</widgetId><type>Selection</type><label>Timer</label><icon>cust_timer</icon><mapping><command>1</command><label>One Minute</label></mapping><mapping><command>2</command><label>Two Minutes</label></mapping><mapping><command>3</command><label>Three Minutes</label></mapping><mapping><command>5</command><label>Five Minutes</label></mapping><mapping><command>10</command><label>Ten Minutes</label></mapping><item><type>NumberItem</type><name>Irrigation_Timer</name><state>5</state><link>http://10.77.12.33:8080/rest/items/Irrigation_Timer</link></item></widget></linkedPage></widget><widget><widgetId>Home_2_0_1</widgetId><type>Group</type><label>Ensuite</label><icon>cust_ensuite</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Ensuite</link></item><linkedPage><id>0201</id><title>Ensuite</title><icon>cust_ensuite</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0201</link><leaf>true</leaf><widget><widgetId>0201_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Ensuite_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Ensuite_Ceiling</link></item></widget><widget><widgetId>0201_1</widgetId><type>Switch</type><label>Extractor</label><icon>cust_fan</icon><item><type>SwitchItem</type><name>Fan_Indoor_Ensuite_Extractor</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Ensuite_Extractor</link></item></widget><widget><widgetId>0201_2</widgetId><type>Text</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget><widget><widgetId>0201_3</widgetId><type>Text</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget><widget><widgetId>0201_4</widgetId><type>Text</type><label>Automatic Extractor [Inactive]</label><icon>cust_control</icon><item><type>SwitchItem</type><name>Ensuite_Fan_Control</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Fan_Control</link></item></widget><widget><widgetId>0201_5</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget><widget><widgetId>0201_6</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></linkedPage></widget><widget><widgetId>Home_2_0_1_2</widgetId><type>Group</type><label>Main Bathroom</label><icon>cust_bathroom</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Ensuite</link></item><linkedPage><id>0202</id><title>Main Bathroom</title><icon>cust_bathroom</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0202</link><leaf>true</leaf><widget><widgetId>0202_0</widgetId><type>Switch</type><label>Ceiling</label><icon>switch-off</icon><item><type>SwitchItem</type><name>Light_Indoor_Bathroom_Ceiling</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Bathroom_Ceiling</link></item></widget><widget><widgetId>0202_1</widgetId><type>Switch</type><label>Extractor</label><icon>cust_fan</icon><item><type>SwitchItem</type><name>Fan_Indoor_Bathroom_Extractor</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Bathroom_Extractor</link></item></widget><widget><widgetId>0202_2</widgetId><type>Text</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget><widget><widgetId>0202_3</widgetId><type>Text</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget><widget><widgetId>0202_4</widgetId><type>Text</type><label>Automatic Extractor [Inactive]</label><icon>cust_control</icon><item><type>SwitchItem</type><name>Bathroom_Fan_Control</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Fan_Control</link></item></widget><widget><widgetId>0202_5</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget><widget><widgetId>0202_6</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></linkedPage></widget></widget><widget><widgetId>Home_3</widgetId><type>Frame</type><label>Info</label><icon>frame</icon><widget><widgetId>Home_3_0</widgetId><type>Text</type><label>Date [16/08/2019 05:09 am]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>Date</name><state>2019-08-16T05:09:11</state><link>http://10.77.12.33:8080/rest/items/Date</link></item></widget><widget><widgetId>Home_3_0_1</widgetId><type>Text</type><label>Sunrise [07:05]</label><icon>cust_sunrise</icon><item><type>DateTimeItem</type><name>Sunrise_Time</name><state>2019-08-16T07:05:00</state><link>http://10.77.12.33:8080/rest/items/Sunrise_Time</link></item></widget><widget><widgetId>Home_3_0_1_2</widgetId><type>Text</type><label>Sunset [17:46]</label><icon>cust_sunset</icon><item><type>DateTimeItem</type><name>Sunset_Time</name><state>2019-08-16T17:46:00</state><link>http://10.77.12.33:8080/rest/items/Sunset_Time</link></item></widget><widget><widgetId>Home_3_0_1_2_3</widgetId><type>Text</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget><widget><widgetId>Home_3_0_1_2_3_4</widgetId><type>Group</type><label>More Info</label><icon>cust_graph</icon><item><type>GroupItem</type><name>Graphs</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Graphs</link></item><linkedPage><id>0304</id><title>More Info</title><icon>cust_graph</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0304</link><leaf>false</leaf><widget><widgetId>0304_0</widgetId><type>Group</type><label>Ensuite</label><icon>cust_ensuite</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Ensuite</link></item><linkedPage><id>030400</id><title>Ensuite</title><icon>cust_ensuite</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/030400</link><leaf>false</leaf><widget><widgetId>030400_0</widgetId><type>Text</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget><widget><widgetId>030400_1</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030400_1_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_2</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030400_2_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_3</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030400_3_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_4</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030400_4_0</widgetId><type>Chart</type><label>Temperature [21.89 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Ensuite_Temp_Number</name><state>21.89</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Temp_Number</link></item></widget></widget><widget><widgetId>030400_5</widgetId><type>Text</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget><widget><widgetId>030400_6</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030400_6_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget><widget><widgetId>030400_7</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030400_7_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget><widget><widgetId>030400_8</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030400_8_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget><widget><widgetId>030400_9</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030400_9_0</widgetId><type>Chart</type><label>Humidity [56.77 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Ensuite_Humidity_Number</name><state>56.77</state><link>http://10.77.12.33:8080/rest/items/Ensuite_Humidity_Number</link></item></widget></widget></linkedPage></widget><widget><widgetId>0304_1</widgetId><type>Group</type><label>Main Bathroom</label><icon>cust_bathroom</icon><item><type>GroupItem</type><name>Indoor_Bathroom</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Indoor_Bathroom</link></item><linkedPage><id>030401</id><title>Main Bathroom</title><icon>cust_bathroom</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/030401</link><leaf>false</leaf><widget><widgetId>030401_0</widgetId><type>Text</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget><widget><widgetId>030401_1</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030401_1_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_2</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030401_2_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_3</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030401_3_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_4</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030401_4_0</widgetId><type>Chart</type><label>Temperature [20.60 °C]</label><icon>cust_temperature</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Bathroom_Temp_Number</name><state>20.60</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Temp_Number</link></item></widget></widget><widget><widgetId>030401_5</widgetId><type>Text</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget><widget><widgetId>030401_6</widgetId><type>Frame</type><label>4hr History</label><icon>frame</icon><widget><widgetId>030401_6_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>4h</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget><widget><widgetId>030401_7</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030401_7_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget><widget><widgetId>030401_8</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030401_8_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget><widget><widgetId>030401_9</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030401_9_0</widgetId><type>Chart</type><label>Humidity [52.21 %]</label><icon>cust_humidity</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Bathroom_Humidity_Number</name><state>52.21</state><link>http://10.77.12.33:8080/rest/items/Bathroom_Humidity_Number</link></item></widget></widget></linkedPage></widget><widget><widgetId>0304_2</widgetId><type>Group</type><label>Lounge Light</label><icon>cust_lux</icon><item><type>GroupItem</type><name>Lounge_Light_Sensor</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Sensor</link></item><linkedPage><id>030402</id><title>Lounge Light</title><icon>cust_lux</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/030402</link><leaf>false</leaf><widget><widgetId>030402_0</widgetId><type>Text</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget><widget><widgetId>030402_1</widgetId><type>Frame</type><label>24hr History</label><icon>frame</icon><widget><widgetId>030402_1_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>D</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget><widget><widgetId>030402_2</widgetId><type>Frame</type><label>Week History</label><icon>frame</icon><widget><widgetId>030402_2_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>W</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget><widget><widgetId>030402_3</widgetId><type>Frame</type><label>Month History</label><icon>frame</icon><widget><widgetId>030402_3_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>M</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget><widget><widgetId>030402_4</widgetId><type>Frame</type><label>2 Month History</label><icon>frame</icon><widget><widgetId>030402_4_0</widgetId><type>Chart</type><label>Light Level [0.00 Lux]</label><icon>cust_lux</icon><refresh>60000</refresh><service>mysql</service><period>2M</period><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.00</state><link>http://10.77.12.33:8080/rest/items/Lounge_Light_Level_Number</link></item></widget></widget></linkedPage></widget></linkedPage></widget></widget><widget><widgetId>Home_4</widgetId><type>Frame</type><label>Weather</label><icon>frame</icon><widget><widgetId>Home_4_0</widgetId><type>Text</type><label>Current [Fri - 16.08.2019]</label><icon>cust_now</icon><item><type>DateTimeItem</type><name>FIO_ObservationTime</name><state>2019-08-16T05:04:09</state><link>http://10.77.12.33:8080/rest/items/FIO_ObservationTime</link></item></widget><widget><widgetId>Home_4_0_1</widgetId><type>Text</type><label>Condition [Mostly Cloudy]</label><icon>cust_weather</icon><item><type>StringItem</type><name>FIO_Condition</name><state>Mostly Cloudy</state><link>http://10.77.12.33:8080/rest/items/FIO_Condition</link></item></widget><widget><widgetId>Home_4_0_1_2</widgetId><type>Text</type><label>Temperature [9.37 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>FIO_Temperature</name><state>9.37</state><link>http://10.77.12.33:8080/rest/items/FIO_Temperature</link></item></widget><widget><widgetId>Home_4_0_1_2_3</widgetId><type>Text</type><label>Humidity [98 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>FIO_Humidity</name><state>98.00</state><link>http://10.77.12.33:8080/rest/items/FIO_Humidity</link></item></widget><widget><widgetId>Home_4_0_1_2_3_4</widgetId><type>Group</type><label>Forecast</label><icon>cust_forecast</icon><item><type>GroupItem</type><name>Forecast</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Forecast</link></item><linkedPage><id>0404</id><title>Forecast</title><icon>cust_forecast</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0404</link><leaf>false</leaf><widget><widgetId>0404_0</widgetId><type>Frame</type><label>Tomorrow</label><icon>frame</icon><widget><widgetId>0404_0_0</widgetId><type>Text</type><label>[Sat - 17.08.2019]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>ObservationTime1</name><state>2019-08-17T00:00:00</state><link>http://10.77.12.33:8080/rest/items/ObservationTime1</link></item></widget><widget><widgetId>0404_0_0_1</widgetId><type>Text</type><label>Max Temperature [15.57 °C]</label><icon>cust_tempmax</icon><item><type>NumberItem</type><name>Temp_Max1</name><state>15.57</state><link>http://10.77.12.33:8080/rest/items/Temp_Max1</link></item></widget><widget><widgetId>0404_0_0_1_2</widgetId><type>Text</type><label>Min Temperature [6.77 °C]</label><icon>cust_tempmin</icon><item><type>NumberItem</type><name>Temp_Min1</name><state>6.77</state><link>http://10.77.12.33:8080/rest/items/Temp_Min1</link></item></widget><widget><widgetId>0404_0_0_1_2_3</widgetId><type>Text</type><label>Windspeed [15.34 km/h]</label><icon>cust_wind</icon><item><type>NumberItem</type><name>Wind_Speed1</name><state>15.34</state><link>http://10.77.12.33:8080/rest/items/Wind_Speed1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4</widgetId><type>Text</type><label>Wind direction [WNW]</label><icon>cust_compass</icon><item><type>StringItem</type><name>Wind_Direction1</name><state>WNW</state><link>http://10.77.12.33:8080/rest/items/Wind_Direction1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5</widgetId><type>Text</type><label>Humidity [92 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Humidity1</name><state>92.00</state><link>http://10.77.12.33:8080/rest/items/Humidity1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5_6</widgetId><type>Text</type><label>Pressure [1015.23 mb]</label><icon>cust_pressure</icon><item><type>NumberItem</type><name>Pressure1</name><state>1015.23</state><link>http://10.77.12.33:8080/rest/items/Pressure1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5_6_7</widgetId><type>Text</type><label>Precip probability [69 %]</label><icon>cust_rain</icon><item><type>NumberItem</type><name>Precip_Probability1</name><state>69.00</state><link>http://10.77.12.33:8080/rest/items/Precip_Probability1</link></item></widget><widget><widgetId>0404_0_0_1_2_3_4_5_6_7_8</widgetId><type>Text</type><label>Rain [0.07 mm/h]</label><icon>cust_rain2</icon><item><type>NumberItem</type><name>Rain1</name><state>0.07</state><link>http://10.77.12.33:8080/rest/items/Rain1</link></item></widget></widget><widget><widgetId>0404_1</widgetId><type>Frame</type><label>+2 Days</label><icon>frame</icon><widget><widgetId>0404_1_0</widgetId><type>Text</type><label>[Sun - 18.08.2019]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>ObservationTime2</name><state>2019-08-18T00:00:00</state><link>http://10.77.12.33:8080/rest/items/ObservationTime2</link></item></widget><widget><widgetId>0404_1_0_1</widgetId><type>Text</type><label>Max Temperature [11.15 °C]</label><icon>cust_tempmax</icon><item><type>NumberItem</type><name>Temp_Max2</name><state>11.15</state><link>http://10.77.12.33:8080/rest/items/Temp_Max2</link></item></widget><widget><widgetId>0404_1_0_1_2</widgetId><type>Text</type><label>Min Temperature [6.32 °C]</label><icon>cust_tempmin</icon><item><type>NumberItem</type><name>Temp_Min2</name><state>6.32</state><link>http://10.77.12.33:8080/rest/items/Temp_Min2</link></item></widget><widget><widgetId>0404_1_0_1_2_3</widgetId><type>Text</type><label>Windspeed [21.42 km/h]</label><icon>cust_wind</icon><item><type>NumberItem</type><name>Wind_Speed2</name><state>21.42</state><link>http://10.77.12.33:8080/rest/items/Wind_Speed2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4</widgetId><type>Text</type><label>Wind direction [ESE]</label><icon>cust_compass</icon><item><type>StringItem</type><name>Wind_Direction2</name><state>ESE</state><link>http://10.77.12.33:8080/rest/items/Wind_Direction2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5</widgetId><type>Text</type><label>Humidity [91 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Humidity2</name><state>91.00</state><link>http://10.77.12.33:8080/rest/items/Humidity2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5_6</widgetId><type>Text</type><label>Pressure [1018.41 mb]</label><icon>cust_pressure</icon><item><type>NumberItem</type><name>Pressure2</name><state>1018.41</state><link>http://10.77.12.33:8080/rest/items/Pressure2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5_6_7</widgetId><type>Text</type><label>Precip probability [94 %]</label><icon>cust_rain</icon><item><type>NumberItem</type><name>Precip_Probability2</name><state>94.00</state><link>http://10.77.12.33:8080/rest/items/Precip_Probability2</link></item></widget><widget><widgetId>0404_1_0_1_2_3_4_5_6_7_8</widgetId><type>Text</type><label>Rain [0.16 mm/h]</label><icon>cust_rain2</icon><item><type>NumberItem</type><name>Rain2</name><state>0.16</state><link>http://10.77.12.33:8080/rest/items/Rain2</link></item></widget></widget><widget><widgetId>0404_2</widgetId><type>Frame</type><label>+3 Days</label><icon>frame</icon><widget><widgetId>0404_2_0</widgetId><type>Text</type><label>ObservationTime3cust_toggle</label><icon>text</icon></widget><widget><widgetId>0404_2_0_1</widgetId><type>Text</type><label>Max Temperature [11.09 °C]</label><icon>cust_tempmax</icon><item><type>NumberItem</type><name>Temp_Max3</name><state>11.09</state><link>http://10.77.12.33:8080/rest/items/Temp_Max3</link></item></widget><widget><widgetId>0404_2_0_1_2</widgetId><type>Text</type><label>Min Temperature [5.45 °C]</label><icon>cust_tempmin</icon><item><type>NumberItem</type><name>Temp_Min3</name><state>5.45</state><link>http://10.77.12.33:8080/rest/items/Temp_Min3</link></item></widget><widget><widgetId>0404_2_0_1_2_3</widgetId><type>Text</type><label>Windspeed [28.04 km/h]</label><icon>cust_wind</icon><item><type>NumberItem</type><name>Wind_Speed3</name><state>28.04</state><link>http://10.77.12.33:8080/rest/items/Wind_Speed3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4</widgetId><type>Text</type><label>Wind direction [E]</label><icon>cust_compass</icon><item><type>StringItem</type><name>Wind_Direction3</name><state>E</state><link>http://10.77.12.33:8080/rest/items/Wind_Direction3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5</widgetId><type>Text</type><label>Humidity [85 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>Humidity3</name><state>85.00</state><link>http://10.77.12.33:8080/rest/items/Humidity3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5_6</widgetId><type>Text</type><label>Pressure [1023.08 mb]</label><icon>cust_pressure</icon><item><type>NumberItem</type><name>Pressure3</name><state>1023.08</state><link>http://10.77.12.33:8080/rest/items/Pressure3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5_6_7</widgetId><type>Text</type><label>Precip probability [20 %]</label><icon>cust_rain</icon><item><type>NumberItem</type><name>Precip_Probability3</name><state>20.00</state><link>http://10.77.12.33:8080/rest/items/Precip_Probability3</link></item></widget><widget><widgetId>0404_2_0_1_2_3_4_5_6_7_8</widgetId><type>Text</type><label>Rain [0.03 mm/h]</label><icon>cust_rain2</icon><item><type>NumberItem</type><name>Rain3</name><state>0.03</state><link>http://10.77.12.33:8080/rest/items/Rain3</link></item></widget></widget></linkedPage></widget></widget><widget><widgetId>Home_5</widgetId><type>Frame</type><label>Alarm</label><icon>frame</icon><widget><widgetId>Home_5_0</widgetId><type>Group</type><label>Alarm State</label><icon>cust_alarm</icon><item><type>GroupItem</type><name>Alarm_Contacts</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/Alarm_Contacts</link></item><linkedPage><id>0500</id><title>Alarm State</title><icon>cust_alarm</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0500</link><leaf>true</leaf><widget><widgetId>0500_0</widgetId><type>Text</type><label>Fire Event [Inactive]</label><icon>firestatic</icon><item><type>ContactItem</type><name>Alarm_Input</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/Alarm_Input</link></item></widget><widget><widgetId>0500_1</widgetId><type>Text</type><label>Arm Event [Inactive]</label><icon>cust_armed</icon><item><type>ContactItem</type><name>pdxin15</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/pdxin15</link></item></widget><widget><widgetId>0500_2</widgetId><type>Text</type><label>Disarm Event [Inactive]</label><icon>cust_disarmed</icon><item><type>ContactItem</type><name>pdxin16</name><state>OPEN</state><link>http://10.77.12.33:8080/rest/items/pdxin16</link></item></widget><widget><widgetId>0500_3</widgetId><type>Text</type><label>Zone 1 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin1</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin1</link></item></widget><widget><widgetId>0500_4</widgetId><type>Text</type><label>Zone 2 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin2</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin2</link></item></widget><widget><widgetId>0500_5</widgetId><type>Text</type><label>Zone 3 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin3</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin3</link></item></widget><widget><widgetId>0500_6</widgetId><type>Text</type><label>Zone 4 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin4</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin4</link></item></widget><widget><widgetId>0500_7</widgetId><type>Text</type><label>Zone 5 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin5</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin5</link></item></widget><widget><widgetId>0500_8</widgetId><type>Text</type><label>Zone 6 [Closed]</label><icon>contact-closed</icon><item><type>ContactItem</type><name>pdxin6</name><state>CLOSED</state><link>http://10.77.12.33:8080/rest/items/pdxin6</link></item></widget></linkedPage></widget></widget><widget><widgetId>Home_6</widgetId><type>Frame</type><label>Settings</label><icon>frame</icon><widget><widgetId>Home_6_0</widgetId><type>Group</type><label>Settings</label><icon>cust_setting</icon><item><type>GroupItem</type><name>Settings</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Settings</link></item><linkedPage><id>0600</id><title>Settings</title><icon>cust_setting</icon><link>http://10.77.12.33:8080/rest/sitemaps/Home/0600</link><leaf>false</leaf><widget><widgetId>0600_0</widgetId><type>Frame</type><label>Master Bedroom RGB</label><icon>frame</icon><widget><widgetId>0600_0_0</widgetId><type>Text</type><label>Red [0 %]</label><icon>cust_redlight</icon><item><type>StringItem</type><name>Master_Bedroom_RGB_R</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_R</link></item></widget><widget><widgetId>0600_0_0_1</widgetId><type>Text</type><label>Green [0 %]</label><icon>cust_greenlight</icon><item><type>StringItem</type><name>Master_Bedroom_RGB_G</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_G</link></item></widget><widget><widgetId>0600_0_0_1_2</widgetId><type>Text</type><label>Blue [0 %]</label><icon>cust_bluelight</icon><item><type>StringItem</type><name>Master_Bedroom_RGB_B</name><state>0</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_B</link></item></widget><widget><widgetId>0600_0_0_1_2_3</widgetId><type>Switch</type><label>Reset Node</label><icon>cust_restart</icon><item><type>SwitchItem</type><name>Master_Bedroom_RGB_Reset</name><state>Uninitialized</state><link>http://10.77.12.33:8080/rest/items/Master_Bedroom_RGB_Reset</link></item></widget></widget><widget><widgetId>0600_1</widgetId><type>Frame</type><label>States</label><icon>frame</icon><widget><widgetId>0600_1_0</widgetId><type>Switch</type><label>Holiday Mode</label><icon>cust_holiday</icon><item><type>SwitchItem</type><name>Holiday_Mode</name><state>OFF</state><link>http://10.77.12.33:8080/rest/items/Holiday_Mode</link></item></widget><widget><widgetId>0600_1_0_1</widgetId><type>Switch</type><label>Automatic Extractors</label><icon>cust_control</icon><item><type>SwitchItem</type><name>Auto_Fans</name><state>ON</state><link>http://10.77.12.33:8080/rest/items/Auto_Fans</link></item></widget></widget><widget><widgetId>0600_2</widgetId><type>Frame</type><label>CalDav Automation</label><icon>frame</icon><widget><widgetId>0600_2_0</widgetId><type>Switch</type><label>Bathroom Ceiling Lights</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Light_Indoor_Bathroom_Ceiling_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Bathroom_Ceiling_Disable</link></item></widget><widget><widgetId>0600_2_0_1</widgetId><type>Switch</type><label>Ensuite Ceiling Lights</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Light_Indoor_Ensuite_Ceiling_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_Ensuite_Ceiling_Disable</link></item></widget><widget><widgetId>0600_2_0_1_2</widgetId><type>Switch</type><label>Master Bedroom Ceiling Lights</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Light_Indoor_MasterBedroom_Ceiling_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Light_Indoor_MasterBedroom_Ceiling_Disable</link></item></widget><widget><widgetId>0600_2_0_1_2_3</widgetId><type>Switch</type><label>Bathroom Ceiling Fan</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Fan_Indoor_Bathroom_Extractor_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Bathroom_Extractor_Disable</link></item></widget><widget><widgetId>0600_2_0_1_2_3_4</widgetId><type>Switch</type><label>Ensuite Ceiling Fan</label><icon>cust_toggle</icon><item><type>SwitchItem</type><name>Fan_Indoor_Ensuite_Extractor_Disable</name><state>Undefined</state><link>http://10.77.12.33:8080/rest/items/Fan_Indoor_Ensuite_Extractor_Disable</link></item></widget></widget></linkedPage></widget></widget></homepage></sitemap>
""".data(using: .utf8)

let fullsitemapXML = """
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<page>
<id>Home</id>
<title>13 Gurnard Road</title>
<link>http://114.23.127.44:8080/rest/sitemaps/Home/Home</link>
<leaf>false</leaf>
<widget>
<widgetId>Home_0</widgetId>
<type>Frame</type><label>Controls</label><icon>frame</icon><widget><widgetId>Home_0_0</widgetId><type>Group</type><label>Lighting</label><icon>cust_light</icon><item><type>GroupItem</type><name>Lights</name><state>OFF</state><link>http://114.23.127.44:8080/rest/items/Lights</link></item><linkedPage><id>0000</id><title>Lighting</title><icon>cust_light</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0000</link><leaf>false</leaf></linkedPage></widget><widget><widgetId>Home_0_0_1</widgetId><type>Group</type><label>RGB Lights</label><icon>cust_rgb</icon><item><type>GroupItem</type><name>RGB_LEDs</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/RGB_LEDs</link></item><linkedPage><id>0001</id><title>RGB Lights</title><icon>cust_rgb</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0001</link><leaf>false</leaf></linkedPage></widget><widget><widgetId>Home_0_0_1_2</widgetId><type>Group</type><label>Multimedia</label><icon>cust_film</icon><item><type>GroupItem</type><name>Multimedia</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Multimedia</link></item><linkedPage><id>0002</id><title>Multimedia</title><icon>cust_film</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0002</link><leaf>false</leaf></linkedPage></widget></widget><widget><widgetId>Home_1</widgetId><type>Frame</type><label>Mode</label><icon>frame</icon><widget><widgetId>Home_1_0</widgetId><type>Switch</type><label>Sleep</label><icon>cust_sleep</icon><item><type>SwitchItem</type><name>Sleep_Mode</name><state>ON</state><link>http://114.23.127.44:8080/rest/items/Sleep_Mode</link></item></widget></widget><widget><widgetId>Home_2</widgetId><type>Frame</type><label>Locations</label><icon>frame</icon><widget><widgetId>Home_2_0</widgetId><type>Group</type><label>Garden</label><icon>cust_garden</icon><item><type>GroupItem</type><name>Garden</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Garden</link></item><linkedPage><id>0200</id><title>Garden</title><icon>cust_garden</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0200</link><leaf>true</leaf></linkedPage></widget><widget><widgetId>Home_2_0_1</widgetId><type>Group</type><label>Ensuite</label><icon>cust_ensuite</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Ensuite</link></item><linkedPage><id>0201</id><title>Ensuite</title><icon>cust_ensuite</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0201</link><leaf>true</leaf></linkedPage></widget><widget><widgetId>Home_2_0_1_2</widgetId><type>Group</type><label>Main Bathroom</label><icon>cust_bathroom</icon><item><type>GroupItem</type><name>Ensuite</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Ensuite</link></item><linkedPage><id>0202</id><title>Main Bathroom</title><icon>cust_bathroom</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0202</link><leaf>true</leaf></linkedPage></widget></widget><widget><widgetId>Home_3</widgetId><type>Frame</type><label>Info</label><icon>frame</icon><widget><widgetId>Home_3_0</widgetId><type>Text</type><label>Date [16/08/2019 17:54 pm]</label><icon>cust_date</icon><item><type>DateTimeItem</type><name>Date</name><state>2019-08-16T17:54:18</state><link>http://114.23.127.44:8080/rest/items/Date</link></item></widget><widget><widgetId>Home_3_0_1</widgetId><type>Text</type><label>Sunrise [07:05]</label><icon>cust_sunrise</icon><item><type>DateTimeItem</type><name>Sunrise_Time</name><state>2019-08-16T07:05:00</state><link>http://114.23.127.44:8080/rest/items/Sunrise_Time</link></item></widget><widget><widgetId>Home_3_0_1_2</widgetId><type>Text</type><label>Sunset [17:46]</label><icon>cust_sunset</icon><item><type>DateTimeItem</type><name>Sunset_Time</name><state>2019-08-16T17:46:00</state><link>http://114.23.127.44:8080/rest/items/Sunset_Time</link></item></widget><widget><widgetId>Home_3_0_1_2_3</widgetId><type>Text</type><label>Light Level [0.05 Lux]</label><icon>cust_lux</icon><item><type>NumberItem</type><name>Lounge_Light_Level_Number</name><state>0.05</state><link>http://114.23.127.44:8080/rest/items/Lounge_Light_Level_Number</link></item></widget><widget><widgetId>Home_3_0_1_2_3_4</widgetId><type>Group</type><label>More Info</label><icon>cust_graph</icon><item><type>GroupItem</type><name>Graphs</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Graphs</link></item><linkedPage><id>0304</id><title>More Info</title><icon>cust_graph</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0304</link><leaf>false</leaf></linkedPage></widget></widget><widget><widgetId>Home_4</widgetId><type>Frame</type><label>Weather</label><icon>frame</icon><widget><widgetId>Home_4_0</widgetId><type>Text</type><label>Current [Fri - 16.08.2019]</label><icon>cust_now</icon><item><type>DateTimeItem</type><name>FIO_ObservationTime</name><state>2019-08-16T17:54:09</state><link>http://114.23.127.44:8080/rest/items/FIO_ObservationTime</link></item></widget><widget><widgetId>Home_4_0_1</widgetId><type>Text</type><label>Condition [Mostly Cloudy]</label><icon>cust_weather</icon><item><type>StringItem</type><name>FIO_Condition</name><state>Mostly Cloudy</state><link>http://114.23.127.44:8080/rest/items/FIO_Condition</link></item></widget><widget><widgetId>Home_4_0_1_2</widgetId><type>Text</type><label>Temperature [12.28 °C]</label><icon>cust_temperature</icon><item><type>NumberItem</type><name>FIO_Temperature</name><state>12.28</state><link>http://114.23.127.44:8080/rest/items/FIO_Temperature</link></item></widget><widget><widgetId>Home_4_0_1_2_3</widgetId><type>Text</type><label>Humidity [73 %]</label><icon>cust_humidity</icon><item><type>NumberItem</type><name>FIO_Humidity</name><state>73.00</state><link>http://114.23.127.44:8080/rest/items/FIO_Humidity</link></item></widget><widget><widgetId>Home_4_0_1_2_3_4</widgetId><type>Group</type><label>Forecast</label><icon>cust_forecast</icon><item><type>GroupItem</type><name>Forecast</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Forecast</link></item><linkedPage><id>0404</id><title>Forecast</title><icon>cust_forecast</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0404</link><leaf>false</leaf></linkedPage></widget></widget><widget><widgetId>Home_5</widgetId><type>Frame</type><label>Alarm</label><icon>frame</icon><widget><widgetId>Home_5_0</widgetId><type>Group</type><label>Alarm State</label><icon>cust_alarm</icon><item><type>GroupItem</type><name>Alarm_Contacts</name><state>OPEN</state><link>http://114.23.127.44:8080/rest/items/Alarm_Contacts</link></item><linkedPage><id>0500</id><title>Alarm State</title><icon>cust_alarm</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0500</link><leaf>true</leaf></linkedPage></widget></widget><widget><widgetId>Home_6</widgetId><type>Frame</type><label>Settings</label><icon>frame</icon><widget><widgetId>Home_6_0</widgetId><type>Group</type><label>Settings</label><icon>cust_setting</icon><item><type>GroupItem</type><name>Settings</name><state>Uninitialized</state><link>http://114.23.127.44:8080/rest/items/Settings</link></item><linkedPage><id>0600</id><title>Settings</title><icon>cust_setting</icon><link>http://114.23.127.44:8080/rest/sitemaps/Home/0600</link><leaf>false</leaf></linkedPage></widget></widget></page>
""".data(using: .utf8)

let userprovidedXML = """
<sitemaps>
    <sitemap>
        <name>devices</name>
        <label>Devices</label>
        <link>http://localhost:8080/rest/sitemaps/devices</link>
        <homepage>
            <link>
    http://localhost:8080/rest/sitemaps/devices/devices
            </link>
        <leaf>false</leaf>
        </homepage>
    </sitemap>
<sitemap>
<name>settings</name>
<label>Settings</label>
<link>http://localhost:8080/rest/sitemaps/settings</link>
<homepage>
<link>
http://localhost:8080/rest/sitemaps/settings/settings
</link>
<leaf>false</leaf>
</homepage>
</sitemap>
<sitemap>
<name>stats</name>
<label>Internal statistics</label>
<link>http://localhost:8080/rest/sitemaps/stats</link>
<homepage>
<link>http://localhost:8080/rest/sitemaps/stats/stats</link>
<leaf>false</leaf>
</homepage>
</sitemap>
<sitemap>
<name>ucb</name>
<label>Capstone</label>
<link>http://localhost:8080/rest/sitemaps/ucb</link>
<homepage>
<link>http://localhost:8080/rest/sitemaps/ucb/capstone</link>
<leaf>false</leaf>
</homepage>
</sitemap>
</sitemaps>
""".data(using: .utf8)

let failurePage = """
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<page>
    <id>message</id>
    <title>Gateway message</title>
    <link>https://MyArvio.com.au:8444/rest/sitemaps/message/message</link>
    <leaf>true</leaf>
    <widget>
        <widgetId>message_0</widgetId>
        <type>Text</type>
        <label>Invalid login attempt, no connection details are provided</label>
        <icon>text</icon>
    </widget>
</page>
""".data(using: .utf8)
